Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Scheduled monthly dependency update for October #72

Merged
merged 10 commits into from Oct 1, 2020

Conversation

@pyup-bot
Copy link
Contributor

@pyup-bot pyup-bot commented Oct 1, 2020

Update attrs from 20.1.0 to 20.2.0.

Changelog

20.2.0

-------------------

Backward-incompatible Changes
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

- ``attr.define()``, ``attr.frozen()``, ``attr.mutable()``, and ``attr.field()`` remain **provisional**.

This release fixes a bunch of bugs and ergonomics but they remain mostly unchanged.

If you wish to use them together with mypy, you can simply drop `this plugin <https://gist.github.com/hynek/1e3844d0c99e479e716169034b5fa963file-attrs_ng_plugin-py>`_ into your project.

Feel free to provide feedback to them in the linked issue 668.

We will release the ``attrs`` namespace once we have the feeling that the APIs have properly settled.
`668 <https://github.com/python-attrs/attrs/issues/668>`_


Changes
^^^^^^^

- ``attr.define()`` et al now correct detect ``__eq__`` and ``__ne__``.
`671 <https://github.com/python-attrs/attrs/issues/671>`_
- ``attr.define()`` et al's hybrid behavior now also works correctly when arguments are passed.
`675 <https://github.com/python-attrs/attrs/issues/675>`_
- It's possible to define custom ``__setattr__`` methods on slotted classes again.
`681 <https://github.com/python-attrs/attrs/issues/681>`_
- In 20.1.0 we introduced the ``inherited`` attribute on the ``attr.Attribute`` class to differentiate attributes that have been inherited and those that have been defined directly on the class.

It has shown to be problematic to involve that attribute when comparing instances of ``attr.Attribute`` though, because when sub-classing, attributes from base classes are suddenly not equal to themselves in a super class.

Therefore the ``inherited`` attribute will now be ignored when hashing and comparing instances of ``attr.Attribute``.
`684 <https://github.com/python-attrs/attrs/issues/684>`_
- ``zope.interface`` is now a "soft dependency" when running the test suite; if ``zope.interface`` is not installed when running the test suite, the interface-related tests will be automatically skipped.
`685 <https://github.com/python-attrs/attrs/issues/685>`_
- The ergonomics of creating frozen classes using ``define(frozen=True)`` and sub-classing frozen classes has been improved:
you don't have to set ``on_setattr=None`` anymore.
`687 <https://github.com/python-attrs/attrs/issues/687>`_


----
Links

Update yarl from 1.5.1 to 1.6.0.

Changelog

1.6.0

==================

Features
--------

- Allow for int and float subclasses in query, while still denying bool.
`492 <https://github.com/aio-libs/yarl/issues/492>`_


Bugfixes
--------

- Do not requote arguments in ``URL.build()``, ``with_xxx()`` and in ``/`` operator.
`502 <https://github.com/aio-libs/yarl/issues/502>`_
- Keep IPv6 brackets in ``origin()``.
`504 <https://github.com/aio-libs/yarl/issues/504>`_


----
Links

Update boto3 from 1.14.53 to 1.15.9.

Changelog

1.15.9

======

* api-change:``datasync``: [``botocore``] Update datasync client to latest version
* api-change:``s3control``: [``botocore``] Update s3control client to latest version
* api-change:``imagebuilder``: [``botocore``] Update imagebuilder client to latest version
* api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
* api-change:``iot``: [``botocore``] Update iot client to latest version
* api-change:``emr``: [``botocore``] Update emr client to latest version
* api-change:``s3outposts``: [``botocore``] Update s3outposts client to latest version
* api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
* api-change:``directconnect``: [``botocore``] Update directconnect client to latest version
* api-change:``s3``: [``botocore``] Update s3 client to latest version
* api-change:``mediaconnect``: [``botocore``] Update mediaconnect client to latest version
* api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version

1.15.8

======

* api-change:``timestream-write``: [``botocore``] Update timestream-write client to latest version
* api-change:``connect``: [``botocore``] Update connect client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``schemas``: [``botocore``] Update schemas client to latest version
* api-change:``timestream-query``: [``botocore``] Update timestream-query client to latest version

1.15.7

======

* api-change:``application-autoscaling``: [``botocore``] Update application-autoscaling client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version

1.15.6

======

* api-change:``frauddetector``: [``botocore``] Update frauddetector client to latest version
* api-change:``config``: [``botocore``] Update config client to latest version
* api-change:``batch``: [``botocore``] Update batch client to latest version
* api-change:``docdb``: [``botocore``] Update docdb client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``sts``: [``botocore``] Update sts client to latest version

1.15.5

======

* api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
* api-change:``textract``: [``botocore``] Update textract client to latest version
* api-change:``amplify``: [``botocore``] Update amplify client to latest version
* api-change:``eks``: [``botocore``] Update eks client to latest version
* api-change:``savingsplans``: [``botocore``] Update savingsplans client to latest version
* api-change:``synthetics``: [``botocore``] Update synthetics client to latest version

1.15.4

======

* api-change:``translate``: [``botocore``] Update translate client to latest version
* api-change:``ce``: [``botocore``] Update ce client to latest version
* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``backup``: [``botocore``] Update backup client to latest version

1.15.3

======

* api-change:``comprehend``: [``botocore``] Update comprehend client to latest version
* api-change:``dynamodbstreams``: [``botocore``] Update dynamodbstreams client to latest version
* api-change:``workmail``: [``botocore``] Update workmail client to latest version
* api-change:``lex-models``: [``botocore``] Update lex-models client to latest version

1.15.2

======

* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version
* api-change:``iotsitewise``: [``botocore``] Update iotsitewise client to latest version
* api-change:``events``: [``botocore``] Update events client to latest version
* api-change:``resource-groups``: [``botocore``] Update resource-groups client to latest version
* api-change:``rds``: [``botocore``] Update rds client to latest version

1.15.1

======

* api-change:``medialive``: [``botocore``] Update medialive client to latest version
* api-change:``sso-admin``: [``botocore``] Update sso-admin client to latest version
* api-change:``codestar-connections``: [``botocore``] Update codestar-connections client to latest version

1.15.0

======

* api-change:``kendra``: [``botocore``] Update kendra client to latest version
* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``comprehend``: [``botocore``] Update comprehend client to latest version
* api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
* api-change:``es``: [``botocore``] Update es client to latest version
* api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version
* feature:dependency: [``botocore``] botocore has removed docutils as a required dependency

1.14.63

=======

* api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
* api-change:``dlm``: [``botocore``] Update dlm client to latest version
* api-change:``greengrass``: [``botocore``] Update greengrass client to latest version
* api-change:``connect``: [``botocore``] Update connect client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version

1.14.62

=======

* api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
* api-change:``medialive``: [``botocore``] Update medialive client to latest version
* api-change:``budgets``: [``botocore``] Update budgets client to latest version
* api-change:``kafka``: [``botocore``] Update kafka client to latest version
* api-change:``kendra``: [``botocore``] Update kendra client to latest version
* api-change:``organizations``: [``botocore``] Update organizations client to latest version

1.14.61

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``managedblockchain``: [``botocore``] Update managedblockchain client to latest version
* api-change:``stepfunctions``: [``botocore``] Update stepfunctions client to latest version
* api-change:``docdb``: [``botocore``] Update docdb client to latest version

1.14.60

=======

* api-change:``workspaces``: [``botocore``] Update workspaces client to latest version

1.14.59

=======

* api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
* api-change:``ebs``: [``botocore``] Update ebs client to latest version
* api-change:``sso-admin``: [``botocore``] Update sso-admin client to latest version
* api-change:``s3``: [``botocore``] Update s3 client to latest version

1.14.58

=======

* api-change:``kinesisanalyticsv2``: [``botocore``] Update kinesisanalyticsv2 client to latest version
* api-change:``glue``: [``botocore``] Update glue client to latest version
* api-change:``redshift-data``: [``botocore``] Update redshift-data client to latest version

1.14.57

=======

* api-change:``lex-models``: [``botocore``] Update lex-models client to latest version
* api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version
* api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
* api-change:``quicksight``: [``botocore``] Update quicksight client to latest version
* api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version

1.14.56

=======

* api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
* api-change:``xray``: [``botocore``] Update xray client to latest version
* api-change:``ssm``: [``botocore``] Update ssm client to latest version

1.14.55

=======

* api-change:``stepfunctions``: [``botocore``] Update stepfunctions client to latest version
* api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
* api-change:``mediapackage``: [``botocore``] Update mediapackage client to latest version
* api-change:``kendra``: [``botocore``] Update kendra client to latest version

1.14.54

=======

* api-change:``ec2``: [``botocore``] Update ec2 client to latest version
* api-change:``macie2``: [``botocore``] Update macie2 client to latest version
Links

Update botocore from 1.17.53 to 1.18.9.

Changelog

1.18.9

======

* api-change:``datasync``: Update datasync client to latest version
* api-change:``s3control``: Update s3control client to latest version
* api-change:``imagebuilder``: Update imagebuilder client to latest version
* api-change:``securityhub``: Update securityhub client to latest version
* api-change:``iot``: Update iot client to latest version
* api-change:``emr``: Update emr client to latest version
* api-change:``s3outposts``: Update s3outposts client to latest version
* api-change:``application-autoscaling``: Update application-autoscaling client to latest version
* api-change:``directconnect``: Update directconnect client to latest version
* api-change:``s3``: Update s3 client to latest version
* api-change:``mediaconnect``: Update mediaconnect client to latest version
* api-change:``pinpoint``: Update pinpoint client to latest version

1.18.8

======

* api-change:``timestream-write``: Update timestream-write client to latest version
* api-change:``connect``: Update connect client to latest version
* api-change:``ssm``: Update ssm client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``schemas``: Update schemas client to latest version
* api-change:``timestream-query``: Update timestream-query client to latest version

1.18.7

======

* api-change:``application-autoscaling``: Update application-autoscaling client to latest version
* api-change:``rds``: Update rds client to latest version

1.18.6

======

* api-change:``frauddetector``: Update frauddetector client to latest version
* api-change:``config``: Update config client to latest version
* api-change:``batch``: Update batch client to latest version
* api-change:``docdb``: Update docdb client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``sts``: Update sts client to latest version

1.18.5

======

* api-change:``transcribe``: Update transcribe client to latest version
* api-change:``textract``: Update textract client to latest version
* api-change:``amplify``: Update amplify client to latest version
* api-change:``eks``: Update eks client to latest version
* api-change:``savingsplans``: Update savingsplans client to latest version
* api-change:``synthetics``: Update synthetics client to latest version

1.18.4

======

* api-change:``translate``: Update translate client to latest version
* api-change:``ce``: Update ce client to latest version
* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``backup``: Update backup client to latest version

1.18.3

======

* api-change:``comprehend``: Update comprehend client to latest version
* api-change:``dynamodbstreams``: Update dynamodbstreams client to latest version
* api-change:``workmail``: Update workmail client to latest version
* api-change:``lex-models``: Update lex-models client to latest version

1.18.2

======

* api-change:``glue``: Update glue client to latest version
* api-change:``resourcegroupstaggingapi``: Update resourcegroupstaggingapi client to latest version
* api-change:``iotsitewise``: Update iotsitewise client to latest version
* api-change:``events``: Update events client to latest version
* api-change:``resource-groups``: Update resource-groups client to latest version
* api-change:``rds``: Update rds client to latest version

1.18.1

======

* api-change:``medialive``: Update medialive client to latest version
* api-change:``sso-admin``: Update sso-admin client to latest version
* api-change:``codestar-connections``: Update codestar-connections client to latest version

1.18.0

======

* api-change:``kendra``: Update kendra client to latest version
* api-change:``cloudfront``: Update cloudfront client to latest version
* api-change:``comprehend``: Update comprehend client to latest version
* api-change:``apigateway``: Update apigateway client to latest version
* api-change:``es``: Update es client to latest version
* api-change:``apigatewayv2``: Update apigatewayv2 client to latest version
* feature:dependency: botocore has removed docutils as a required dependency

1.17.63

=======

* api-change:``servicecatalog``: Update servicecatalog client to latest version
* api-change:``dlm``: Update dlm client to latest version
* api-change:``greengrass``: Update greengrass client to latest version
* api-change:``connect``: Update connect client to latest version
* api-change:``ssm``: Update ssm client to latest version

1.17.62

=======

* api-change:``transcribe``: Update transcribe client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``sagemaker``: Update sagemaker client to latest version
* api-change:``medialive``: Update medialive client to latest version
* api-change:``budgets``: Update budgets client to latest version
* api-change:``kafka``: Update kafka client to latest version
* api-change:``kendra``: Update kendra client to latest version
* api-change:``organizations``: Update organizations client to latest version

1.17.61

=======

* api-change:``ec2``: Update ec2 client to latest version
* api-change:``managedblockchain``: Update managedblockchain client to latest version
* api-change:``stepfunctions``: Update stepfunctions client to latest version
* api-change:``docdb``: Update docdb client to latest version

1.17.60

=======

* api-change:``workspaces``: Update workspaces client to latest version

1.17.59

=======

* api-change:``cloudfront``: Update cloudfront client to latest version
* api-change:``ebs``: Update ebs client to latest version
* api-change:``sso-admin``: Update sso-admin client to latest version
* api-change:``s3``: Update s3 client to latest version

1.17.58

=======

* api-change:``kinesisanalyticsv2``: Update kinesisanalyticsv2 client to latest version
* api-change:``glue``: Update glue client to latest version
* api-change:``redshift-data``: Update redshift-data client to latest version

1.17.57

=======

* api-change:``lex-models``: Update lex-models client to latest version
* api-change:``apigatewayv2``: Update apigatewayv2 client to latest version
* api-change:``codebuild``: Update codebuild client to latest version
* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``elbv2``: Update elbv2 client to latest version

1.17.56

=======

* api-change:``workspaces``: Update workspaces client to latest version
* api-change:``xray``: Update xray client to latest version
* api-change:``ssm``: Update ssm client to latest version

1.17.55

=======

* api-change:``stepfunctions``: Update stepfunctions client to latest version
* api-change:``guardduty``: Update guardduty client to latest version
* api-change:``mediapackage``: Update mediapackage client to latest version
* api-change:``kendra``: Update kendra client to latest version

1.17.54

=======

* api-change:``ec2``: Update ec2 client to latest version
* api-change:``macie2``: Update macie2 client to latest version
Links

Update GitPython from 3.1.7 to 3.1.9.

Changelog

3.1.9

=====

See the following for details:
https://github.com/gitpython-developers/gitpython/milestone/41?closed=1*

3.1.8

=====

* support for 'includeIf' in git configuration files
* tests are now excluded from the package, making it conisderably smaller


See the following for more details:
https://github.com/gitpython-developers/gitpython/milestone/40?closed=1*
Links

Update marshmallow from 3.7.1 to 3.8.0.

Changelog

3.8.0

******************

Features:

- Add ``fields.IP``, ``fields.IPv4`` and ``fields.IPv6`` (:pr:`1485`). Thanks
:user:`mgetka` for the PR.

Bug fixes:

- Fix typing in ``AwareDateTime`` (:pr:`1658`). Thanks :user:`adithyabsk` for
reporting.
Links

Update sentry-sdk from 0.17.3 to 0.18.0.

The bot wasn't able to find a changelog for this release. Got an idea?

Links
@LordAro
LordAro approved these changes Oct 1, 2020
@TrueBrain TrueBrain merged commit c096003 into master Oct 1, 2020
5 of 6 checks passed
5 of 6 checks passed
Commit checker Commit checker
Details
Security and Quality
Details
Docker build
Details
Flake8
Details
Black
Details
Regression
Details
@TrueBrain TrueBrain deleted the pyup-scheduled-update-2020-10-01 branch Oct 1, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants